# CommandConditions (ACF (Core) 0.5.1-SNAPSHOT API)
declaration: package: co.aikar.commands, class: CommandConditions

Package co.aikar.commands

# Class CommandConditions<I extends CommandIssuer,CEC extends CommandExecutionContext<CEC,I>,CC extends ConditionContext<I>>

java.lang.Object
co.aikar.commands.CommandConditions<I,CEC,CC>

public class CommandConditions<I extends CommandIssuer,CEC extends CommandExecutionContext<CEC,I>,CC extends ConditionContext<I>> extends Object

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static interface`
`CommandConditions.Condition<I extends CommandIssuer>`
`static interface`
`CommandConditions.ParameterCondition<P,CEC extends CommandExecutionContext,I extends CommandIssuer>`

## Method Summary

Modifier and Type
Method
Description
`CommandConditions.Condition<I>`
`addCondition(@NotNull String id, @NotNull CommandConditions.Condition<I> handler)`
`<P> CommandConditions.ParameterCondition`
`addCondition(Class<P> clazz, @NotNull String id, @NotNull CommandConditions.ParameterCondition<P,CEC,I> handler)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### addCondition

public CommandConditions.Condition<I> addCondition (@NotNull @NotNull String id, @NotNull @NotNull CommandConditions.Condition<I> handler)

### addCondition

public <P> CommandConditions.ParameterCondition addCondition (Class<P> clazz, @NotNull @NotNull String id, @NotNull @NotNull CommandConditions.ParameterCondition<P,CEC,I> handler)